package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考务数据查询-简略
 * @Author: CaoZixuan
 * @Date: 2021-04-07
 */
public class ExaminationResult {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "examDetailId")
    @ExcelProperty(name = "考务场次主键", width = 30, index = 1)
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "学校id")
    @ExcelProperty(name = "学校主键", width = 30, index = 2)
    private Long schoolId;

    @ApiModelProperty(value = "印刷计划id")
    @ExcelProperty(name = "印刷计划主键", width = 30, index = 3)
    private Long printPlanId;

    @ApiModelProperty(value = "印刷计划名称")
    @ExcelProperty(name = "印刷计划名称", width = 30, index = 4)
    private String printPlanName;

    @ApiModelProperty(value = "考试开始时间")
    @ExcelProperty(name = "考试开始时间", width = 30, index = 5)
    private Long examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    @ExcelProperty(name = "考试结束时间", width = 30, index = 6)
    private Long examEndTime;

    @ApiModelProperty(value = "考点")
    @ExcelProperty(name = "考点", width = 30, index = 7)
    private String examPlace;

    @ApiModelProperty(value = "考场")
    @ExcelProperty(name = "考场", width = 30, index = 8)
    private String examRoom;

    @ApiModelProperty(value = "卷袋号")
    @ExcelProperty(name = "卷袋号", width = 30, index = 9)
    private String packageCode;

    @ApiModelProperty(value = "课程（代码）")
    @ExcelProperty(name = "课程（代码）", width = 30, index = 10)
    private String courseNameCode;

    @ApiModelProperty(value = "试卷编号")
    @ExcelProperty(name = "试卷编号", width = 30, index = 11)
    private String paperNumber;

    @ApiModelProperty(value = "科次")
    @ExcelProperty(name = "科次", width = 30, index = 12)
    private int totalSubjects;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建人id")
    @ExcelProperty(name = "创建人id", width = 30, index = 13)
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @ExcelProperty(name = "创建时间", width = 30, index = 14)
    private Long createTime;

    @ApiModelProperty(value = "考务课程表主键组‘，’隔开")
    @ExcelProperty(name = "考务课程表主键组‘，’隔开", width = 30, index = 15)
    private String examDetailCourseIds;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(Long printPlanId) {
        this.printPlanId = printPlanId;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getCourseNameCode() {
        return courseNameCode;
    }

    public void setCourseNameCode(String courseNameCode) {
        this.courseNameCode = courseNameCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public int getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(int totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getExamDetailCourseIds() {
        return examDetailCourseIds;
    }

    public void setExamDetailCourseIds(String examDetailCourseIds) {
        this.examDetailCourseIds = examDetailCourseIds;
    }
}
